<?php
// $Id: nodepicker.page.inc,v 1.1.2.1 2010/03/08 21:21:13 blixxxa Exp $

/**
 * Node Picker UI powered by Views.
 */
function nodepicker_page($page) {
  // Add styles.
  drupal_add_css(drupal_get_path('module', 'nodepicker') .'/theme/nodepicker.css');
  
  // Set styles.
  $styles = drupal_get_css();
  
  // Add javascript.
  drupal_add_js(drupal_get_path('module', 'views') .'/js/base.js');
  drupal_add_js(drupal_get_path('module', 'views') .'/js/ajax_view.js');
  drupal_add_js(drupal_get_path('module', 'nodepicker') .'/js/nodepicker.js');
  
  // Theme content.
  switch($page) {
    case 'menu':
      $content = theme('nodepicker_menu');
    break;
    
    case 'taxonomy':
      $content = theme('nodepicker_taxonomy');
    break;
    
    default:
      $content = theme('nodepicker_nodes');
    break;
  }

  // Set messages.
  $messages = theme('status_messages');
  
  // Set scripts.
  $scripts = drupal_get_js();
  
  // Theme the output.
  print theme('nodepicker_page',
    $styles,
    $messages,
    $content,
    $scripts
  );
  
  exit();
}

/**
 * Return JSON of link properties from supplied tag.
 */
function nodepicker_ajax() {
  if (empty($_GET['tag'])) {
    exit;
  }

  if (!preg_match("/^\[nodepicker\s*([^\]]*?)\]$/", $_GET['tag'])) {
    exit;
  }
  
  $rawtag = substr($_GET['tag'], 13, -1);
  
  $attr = nodepicker_decode_tag($rawtag);

  print json_encode($attr);
  exit;
}